Skip to main content
GET
/
robots
/
{robotId}
/
localization
/
pose
Returns a robot's current pose
curl --request GET \
  --url https://api.inorbit.ai/robots/{robotId}/localization/pose \
  --header 'x-auth-inorbit-app-key: <api-key>'
{
  "mapId": "<string>",
  "mapDataHash": "<string>",
  "x": 123,
  "y": 123,
  "theta": 123,
  "ts": 123,
  "xPixels": 123,
  "yPixels": 123
}

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

Response

200 - application/json

The current pose of a robot

Robot position and orientation

mapId
string

ID of the map that the robot was using when it last reported the pose

mapDataHash
string

Map internal data hash. Can be safely used to determine if map has been modified.

x
number

Robot pose X coordinate

y
number

Robot pose Y coordinate

theta
number

Robot orientation

ts
number

timestamp (unix epoch millis) when the pose was reported by the robot

xPixels
number

Robot pose.x in pixels

yPixels
number

Robot pose.y in pixels (following right-hand rule 0 is the bottom)